aboutsummaryrefslogtreecommitdiff
path: root/node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh
diff options
context:
space:
mode:
authorJoel Kronqvist <joel.h.kronqvist@gmail.com>2022-03-05 19:02:27 +0200
committerJoel Kronqvist <joel.h.kronqvist@gmail.com>2022-03-05 19:02:27 +0200
commit5d309ff52cd399a6b71968a6b9a70c8ac0b98981 (patch)
tree360f7eb50f956e2367ef38fa1fc6ac7ac5258042 /node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh
parentb500a50f1b97d93c98b36ed9a980f8188d648147 (diff)
downloadLYLLRuoka-5d309ff52cd399a6b71968a6b9a70c8ac0b98981.tar.gz
LYLLRuoka-5d309ff52cd399a6b71968a6b9a70c8ac0b98981.zip
Added node_modules for the updating to work properly.
Diffstat (limited to 'node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh')
-rw-r--r--node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh b/node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh
new file mode 100644
index 0000000..3deb69f
--- /dev/null
+++ b/node_modules/babel-preset-current-node-syntax/scripts/check-yarn-bug.sh
@@ -0,0 +1,5 @@
+if grep 3155328e5 .yarn/releases/yarn-*.cjs -c; then
+ echo "Your version of yarn is affected by https://github.com/yarnpkg/berry/issues/1882"
+ echo "Please run \`sed -i -e \"s/3155328e5/4567890e5/g\" .yarn/releases/yarn-*.cjs\`"
+ exit 1
+fi